On SUSE 12.1 64 bit KDE using evolution, when I tried to force gnome-keyring unsafe storage it gives me a dialog box, just hangs and fails. There is a known gnome-keyring bug "deadlock in the 'unsafe storage' prompt" that is fixed in gnome-keyring 3.3.2. My SUSE 12.1 version is currently at gnome-keyring 3.2.1-2.3.1.

Is SUSE going to address this problem with a gnome-keyring update before the next SUSE release 12.2, or do I have to go out of my way to do this update manually? If I do my own manual update, will it mess up future gnome-keyring SUSE updates if SUSE goes above the version I update to, sometime in the future?

I looked in the SUSE Gnome community repository builder and there was no gnome-keyring update there.

Yes, I know what I am doing and I absolutely want unsafe storage.